Name: ds9
Version: 5.4
Release: 2%{?dist}
Summary: Astronomical Data Visualization Application

Group: Applications/Engineering
License: GPLv2+
URL: http://hea-www.harvard.edu/RD/ds9/
Source0: http://hea-www.harvard.edu/RD/ds9/%{name}.%{version}.tar.gz
Source1: ds9.desktop
Source2: ds9.make.fedora
Patch0: ds9-main.patch
Patch1: ds9-fitsy.patch
Patch2: ds9-frame.patch
Patch3: ds9-htmlw.patch
Patch4: ds9-mastermake.patch
Patch5: ds9-saotk.patch
Patch6: ds9-src.patch
Patch7: ds9-tcl85.patch
Patch8: ds9-gcc43.patch
Patch9: ds9-notags.patch

Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: zlib-devel funtools-devel
BuildRequires: blt-devel tk-devel

BuildRequires: desktop-file-utils

Requires: tcllib tktable tkimg xpa-tcl tkcon >= 2.5

%description
SAOImage DS9 is an astronomical imaging and data visualization application. 
DS9 supports FITS images and binary tables, multiple frame buffers, region 
manipulation, and many scale algorithms and colormaps. It provides for easy 
communication with external analysis tasks and is highly configurable and 
extensible. 

%prep
%setup -q -n saods9
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%{__cp} %{SOURCE2} make.include
echo LIBDIR="%{_libdir}" >> make.include
echo OPTS="%{optflags}" >> make.include
%{__make} %{_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__mkdir_p} %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}/%{_libdir}
%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}/%{_datadir}/pixmaps/%{name}
%{__cp} -a bin/ds9 %{buildroot}/%{_bindir}
%{__cp} -a doc/sun.gif %{buildroot}/%{_datadir}/pixmaps/%{name}
%{__cp} -ar ds9/zipdir/zvfsmntpt/* %{buildroot}/%{_datadir}/%{name}
# Fix some permissions
find %{buildroot}/%{_datadir}/%{name} -type f | xargs chmod 644
find %{buildroot}/%{_datadir}/%{name} -type d | xargs chmod 755
find %{buildroot}/%{_datadir}/%{name} -name Makefile | xargs rm
# desktop file
desktop-file-install --vendor="fedora" \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
%{__rm} -fr %{buildroot}

%files
%doc COPYING copyright 
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}


%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :


%changelog
* Wed Dec 17 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.4-2
- Readded dependency in tcllib (bz #476840)

* Thu Nov 13 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.4-1
- New upstream source

* Wed Jun 11 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2-4
- Removing dependency in etags

* Wed Jun 11 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2-3
- Using tkcon

* Fri May 30 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2-2
- Updated gcc 4.3 patch

* Fri May 30 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2-1
- New upstream source

* Thu Feb 21 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.1-4
- Patch to build with gcc 4.3 updated

* Thu Feb 21 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 5.1-3
- Patch to build with gcc 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 5.1-2
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Sergio Pascual <sergiopr at fedoraproject.org> 5.1-1
- New upstream source
- Reorganized patches

* Sat Dec 08 2007 Sergio Pascual <sergiopr at fedoraproject.org> 5.0-6
- Fixed problems with TCL package loading

* Tue Dec 04 2007 Sergio Pascual <sergiopr at fedoraproject.org> 5.0-5
- Reverting tcllib patch, using package require instead

* Mon Dec 03 2007 Sergio Pascual <sergiopr at fedoraproject.org> 5.0-4
- Patch to use the correct version of tcllib

* Sat Dec 01 2007 Sergio Pascual <sergiopr at fedoraproject.org> 5.0-3
- Added scriptlets for mime types

* Fri Nov 30 2007 Sergio Pascual <sergiopr at fedoraproject.org> 5.0-2
- Tarbal without the file with problematic licensing
- Added more categories to the desktop file

* Tue Nov 13 2007 Sergio Pascual <sergiopr at fedoraproject.org> 5.0-1
- New upstream source

* Mon Nov 05 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-10
- Removed file in /etc/ld.so.conf.d. Now its provided by blt (bug #333081) 

* Sat Oct 27 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-9
- Loading tcl libs with Tcl_PkgRequire

* Tue Oct 24 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-8
- Patches merged into a single patch

* Mon Oct 23 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-7
- Using a generic make.include

* Fri Oct 18 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-6
- Removing the dependence on zip

* Thu Oct 18 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-5
- First working package
- Using native tkimg
- Using shared libraries where possible

* Tue Oct 16 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-4
- Added file in /etc/ld.so.conf.d

* Mon Oct 15 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-3
- Using native zlib
- Using native xpa
- Using native libwcs
- Using native funtools
- Using native tktable
- Using native tcllib
- Using native blt
- Using native tcl-tk

* Sun Oct 14 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-2
- Adding desktop file
- Adding docs

* Fri Oct 12 2007 Sergio Pascual <sergiopr at fedoraproject.org> 4.13-1
- Initial spec file
